language: cn
model_unique_abbr: csv2shp
version: 1.0
identification:
  docker_image_name: gwmodel:2.4
  docker_run_prefix:
  - /scripts/csv2point.r
  model_name: 点数据csv转换成shp
  semantic: exploratory data analysis
  description: 基于sf包,点数据csv转换成shp
  category_application: 描述型
  category_data:
  - 点数据
  keywords:
  - 数据转换
parameter_info:
  parameters:
  - arg_name: f
    param_type: input_data
    name: 点数据
    description: 带有坐标的点数据csv
    data_type: csv
    data_semantic: point csv data
  - arg_name: a
    param_type: param
    name: 经度或x坐标
    description: 经度或x坐标
    data_type: str
    data_semantic: longitude or x
  - arg_name: b
    param_type: param
    name: 纬度或y坐标
    description: 纬度或y坐标
    data_type: str
    data_semantic: latitude or y
  - arg_name: c
    param_type: param
    name: 坐标系
    description: 坐标系
    is_required: false
    data_type: str
    data_semantic: coordinate reference system
  - arg_name: r
    param_type: output_data
    name: 结果矢量
    description: 转换后的结果矢量数据shp
    data_type: shp
    #data_semantic: result shpfile
    data_semantic : csv2shp-neardist
application:
  domain: 数据转换
  objective: 点数据csv转换成shp
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: csv文件输入x，y和坐标系，转换成shp
operation:
  usage: 点数据csv转换成shp
  exec_example:
  - "docker run -v $PWD/csv2point:/data gwmodel:2.3 /data/csv2point.r -f /data/data/testdata.csv -a lon -b lat -c  epsg:4326 -r points.shp"
  output_display:
  - 点数据展示
  license:
  - GPL-2
technique:
  language:
  - R
  os:
  - Linux
  - Windows
  parallel: []
  hardware: []
  dependencies:
  - name: sf
    version: 1.0-15
source:
  maintainer: Guangyu Ou
  organization: Wuhan University
  contact: g_ruoyu@qq.com
  repository: https://r-spatial.github.io/sf
  integrated_softwares: []
  references: []
